Package org.apache.sling.resourceresolver.impl.params

# Class ParsedParameters

java.lang.Object
org.apache.sling.resourceresolver.impl.params.ParsedParameters

public class ParsedParameters extends Object
Parses path looking for semicolon-separated parameters. Parameters are extracted and exposed as an immutable map. The path without parameters is available as raw path. Parameters should be added immediately before or after selectors and extension: `/content/test;v='1.0'.html` or `/content/test.html;v=1.0`. Quotes can be used to escape the parameter value (it is necessary if the value contains dot and parameter is added before extension).

## Constructor Summary

Constructors
Constructor
Description
`ParsedParameters(String fullPath)`
Parse path and create parameters object.

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getParameters()`
`String`
`getParametersString()`
`String`
`getRawPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParsedParameters

public ParsedParameters(String fullPath)
Parse path and create parameters object.

Parameters:
  `fullPath` - Path to parse.

## Method Details

### getRawPath

public String getRawPath()

Returns:
  Path with no parameters.

### getParametersString

public String getParametersString()

Returns:
  Path's substring containing parameters

### getParameters

public Map<String,String> getParameters()

Returns:
  Map of the parameters.